Bug 802591 - (CVE-2012-1171) CVE-2012-1171 php: libxml RSHUTDOWN function disables the hooks which are used to implement open_basedir
CVE-2012-1171 php: libxml RSHUTDOWN function disables the hooks which are use...
Status: CLOSED DUPLICATE of bug 169857
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120313,repor...
: Reopened, Security
Depends On:
Blocks: 802592
  Show dependency treegraph
 
Reported: 2012-03-12 22:35 EDT by Kurt Seifried
Modified: 2012-05-09 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 00:11:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-03-12 22:35:41 EDT
From PHP bug 61367:

The libxml RSHUTDOWN function disables the hooks which are used to implement open_basedir. It is possible to run user code after RSHUTDOWN, for example using the stream_close() method of a custom stream wrapper. Such code is able to read arbitrary files via libxml.

The suggested fix is to move the code which disables the hooks to a post-deactivate function. All op arrays are destroyed before post-deactivate, so it is not possible for user code to be executed after post-deactivate.
Comment 4 Huzaifa S. Sidhpurwala 2012-04-18 00:11:53 EDT

*** This bug has been marked as a duplicate of bug 169857 ***
Comment 5 Huzaifa S. Sidhpurwala 2012-04-18 00:12:46 EDT
Statement:

We do not consider safe_mode / open_basedir restriction bypass issues to be security sensitive.  For more details see http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169857#c1 and http://www.php.net/security-note.php

Note You need to log in before you can comment on or make changes to this bug.